[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StringReplace

Replace occurrences of one substring with another in a string.

## Declaration

Source position: sysstrh.inc line 218

`function StringReplace(`
`const S: string;`
`const OldPattern: string;`
`const NewPattern: string;`
`Flags: TReplaceFlags`
`):string;`

## Description

StringReplace searches the string S for occurrences of the string OldPattern and, if it is found, replaces it with NewPattern. It returns the resulting string. The behaviour of StringReplace can be runed with Flags, which is of type TReplaceFlags. Standard behaviour is to replace only the first occurrence of OldPattern, and to search case sensitively.

## Errors

None.

## See also

TReplaceFlags |  | Flags for StringReplace function

Documentation generated on: Feb 26 2014